Authentication
Validate token
Check if the current session token is still valid
POST
/
connect
/
validate
curl -X POST https://api.useknot.xyz/connect/validate \
-H "Authorization: Bearer <token>"
{
"status": true,
"data": {
"valid": true,
"email": "agent@example.com",
"solanaAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"expiresAt": "2025-01-15T12:00:00.000Z"
}
}
Use this endpoint to confirm that a JWT token is still active before making other API calls. It returns the agent’s account details along with the token expiration time.
Requires authentication via Bearer token.
Response
boolean
true when the request succeeds.object
Errors
| Status | Description |
|---|---|
401 | Missing or invalid Bearer token |
429 | Rate limit exceeded |
curl -X POST https://api.useknot.xyz/connect/validate \
-H "Authorization: Bearer <token>"
{
"status": true,
"data": {
"valid": true,
"email": "agent@example.com",
"solanaAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"expiresAt": "2025-01-15T12:00:00.000Z"
}
}
curl -X POST https://api.useknot.xyz/connect/validate \
-H "Authorization: Bearer <token>"
{
"status": true,
"data": {
"valid": true,
"email": "agent@example.com",
"solanaAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"expiresAt": "2025-01-15T12:00:00.000Z"
}
}